import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class MainScreen extends JFrame implements ActionListener 
{
    JButton close= new JButton ("Intro");  

    public void init()
    {
        Container screen = getContentPane();
        screen.setBackground(Color.green);
        screen.setLayout (new FlowLayout() );
        screen.add(close);  
        close.addActionListener(this);        
    }

    //in paint I tell it to paint the components and then draw a line
    public void paint (Graphics g)
    {
        super.paint(g);
    }

    //now we have to have a method actionPerformed that will be called if an action happens
    //we then see which component had the action on it
    public void actionPerformed(ActionEvent thisEvent)
    {
        Object source = thisEvent.getSource();

        if (source == close)
        {           
            IntroScreen i = new IntroScreen ();
            i.init();
            i.setExtendedState (JFrame.MAXIMIZED_BOTH);  //this sets it to maximum size
            // or set the size you want p.setSize(520,520);
            i.setVisible(true);
            setVisible(false);
        }

    }
}   
